Subject: Re: [Bier] Suresh Krishnan's Discuss on draft-ietf-bier-isis-extensions-07: (with DISCUSS and COMMENT)

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Mon, 12 Mar 2018 06:25:09 +0000

Suresh -

Apologies - I seem to have missed responding to your comments.
Please see inline.

> -----Original Message-----
> From: Suresh Krishnan [mailto:[email-masked]]
> Sent: Wednesday, February 21, 2018 5:38 PM
> To: The IESG <[email-masked]>
> Cc: [email-masked]; Hooman Bidgoli
> <[email-masked]>; [email-masked];
> [email-masked]; [email-masked]
> Subject: Suresh Krishnan's Discuss on draft-ietf-bier-isis-extensions-07: (with
> DISCUSS and COMMENT)
> 
> Suresh Krishnan has entered the following ballot position for
> draft-ietf-bier-isis-extensions-07: Discuss
> 
> When responding, please keep the subject line intact and reply to all email
> addresses included in the To and CC lines. (Feel free to cut this introductory
> paragraph, however.)
> 
> 
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
> 
> 
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-bier-isis-extensions/
> 
> 
> 
> ----------------------------------------------------------------------
> DISCUSS:
> ----------------------------------------------------------------------
> 
> * Section 6.2.  BIER MPLS Encapsulation sub-sub-TLV
> 
> This should be straightforward to fix but it is not clear if the label range is
> allowed to wrap around (overflow) or not past the 20 bit space. e.g. is a
> Label=2^20-X with a MSI of X or larger legal? I was hoping that RFC8296 would
> have covered this but unfortunately it leaves it to this document (and the
> OSPF
> document) to specify.
> 
[Les:] In V10 (hopefully posted soon) I have added text which states:

" If  the label associated with the Maximum Set Identifier exceeds the
      20 bit range the sub-sub-TLV MUST be ignored."

> 
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
> 
> * Section 4.2.
> 
> "When the Prefix Attributes Flags sub-TLV is present N flag MUST be set."
> 
> Given that RFC7794, which defines this sub-TLV, clearly mentions that setting
> this flag is purely optional, is there a reason this is made mandatory? I do not
> see any checking for this flag in the behavior.
> 

[Les:] As per RFC 7794:

“N-flag:  Node Flag (Bit 2)
      Set when the prefix identifies the advertising router, i.e., the
      prefix is a host prefix advertising a globally reachable address
      typically associated with a loopback address.”

What we want for use w BIER is such an address (i.e. stable) – not tied to the state of a physical interface.

I believe the explanation in RFC 7794 should be sufficient.

   Les

---

From: Suresh Krishnan <[email-masked]>
Date: Mon, 12 Mar 2018 18:47:35 +0000

Hi Les,

On Mar 12, 2018, at 2:25 AM, Les Ginsberg (ginsberg) <[email-masked]<mailto:[email-masked]>> wrote:

Suresh -

No worries.

Please see inline.

-----Original Message-----
From: Suresh Krishnan [mailto:[email-masked]]
Sent: Wednesday, February 21, 2018 5:38 PM
To: The IESG <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>; Hooman Bidgoli
<[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>;
[email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Suresh Krishnan's Discuss on draft-ietf-bier-isis-extensions-07: (with
DISCUSS and COMMENT)

" If  the label associated with the Maximum Set Identifier exceeds the
     20 bit range the sub-sub-TLV MUST be ignored.”

Sounds good. I will clear my DISCUSS.

* Section 4.2.

[Les:] As per RFC 7794:

There is still no behavior to check for this flag, but this was not a blocking point. I will leave it up to you to decide if checking for this mandatory behavior needs to be specified.

Thanks
Suresh